class Timer {
  
  private long start = 0;
  private long end = 0;
  private long pauseStart = 0;

	private Timer() {}

  public static Timer start() {
    Timer t = new Timer();
    t.start = System.currentTimeMillis();
    return t;
  }

  public void pause() {
    pauseStart = System.currentTimeMillis();
  }
  
  public void continu() {
    long pauseEnd = System.currentTimeMillis();
    start += (pauseEnd - pauseStart);
  }

  public void stop() {
    end = System.currentTimeMillis();
  }
  
  public long getTime() {
    return (end - start);
  }
}

